Package com.github.lgooddatepicker.zinternaltools

# Class YearMonthChangeEvent

java.lang.Object
com.github.lgooddatepicker.zinternaltools.YearMonthChangeEvent

public class YearMonthChangeEvent extends Object
YearMonthChangeEvent, An instance of this event class is passed to each registered CalendarListener, each time that the YearMonth may have been changed in a CalendarPanel. Developers should call isDuplicate() to find out if the new YearMonth, is the same or different from the old YearMonth.

## Constructor Summary

Constructors
Constructor
Description
`YearMonthChangeEvent(CalendarPanel source, YearMonth newYearMonth, YearMonth oldYearMonth)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`YearMonth`
`getNewYearMonth()`
getNewYearMonth, Returns the new YearMonth.
`YearMonth`
`getOldYearMonth()`
getOldYearMonth, Returns the old YearMonth.
`CalendarPanel`
`getSource()`
getSource, Returns the calendar panel that generated the event.
`boolean`
`isDuplicate()`
isDuplicate, Returns true if the new YearMonth is the same as the old YearMonth.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### YearMonthChangeEvent

public YearMonthChangeEvent(CalendarPanel source, YearMonth newYearMonth, YearMonth oldYearMonth)
Constructor.

## Method Details

### getSource

public CalendarPanel getSource()
getSource, Returns the calendar panel that generated the event.

### getNewYearMonth

public YearMonth getNewYearMonth()
getNewYearMonth, Returns the new YearMonth. This will never return null.

### getOldYearMonth

public YearMonth getOldYearMonth()
getOldYearMonth, Returns the old YearMonth. This will never return null.

### isDuplicate

public boolean isDuplicate()
isDuplicate, Returns true if the new YearMonth is the same as the old YearMonth. Otherwise returns false.